import { OnInit, TemplateRef, ViewContainerRef } from '@angular/core';
import { AccessService } from '../services/access.service';
export declare class AccessPathDirective {
    ngxAccessPath: string;
}
export declare class AccessDirective implements OnInit {
    private template;
    private viewContainer;
    private accessService;
    private parentAccessPath;
    ngxAccess: string | Array<string>;
    ngxAccessElse: TemplateRef<any>;
    constructor(template: TemplateRef<any>, viewContainer: ViewContainerRef, accessService: AccessService, parentAccessPath: AccessPathDirective);
    ngOnInit(): void;
}
